## ifupdown-scripts-zg2 0.6

=== debian/changelog ===
ifupdown-scripts-zg2 (0.6-1) unstable; urgency=low

  * add IPv6 support for addresses and routes

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Thu, 28 Jun 2012 21:40:16 +0200

ifupdown-scripts-zg2 (0.4-1) unstable; urgency=low

  * ACK Didier's NMU
  * use /bin/bash for init script as well
  * remove inappropriate variables from link script
  * adapt README.Debian (Closes: 639109)
  * use dh instead of cdbs
  * fix debian/NEWS version number
  * Standards-Version: 3.9.3 (no changes necessary)
  * add Vcs-Links to debian/control. Package is now in collab-maint
  * Source format 3.0 (quilt)
  * use --oneline in ip link call
  * vlan: check whether interface with MAC found is actually the Master
    (Closes: 654815)
  * fix alphabetical sorting, fix date
  * new label option to fix DHCP issues

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 27 Jun 2012 20:52:27 +0200

ifupdown-scripts-zg2 (0.3-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use bash for ifupdown-scripts-zg2.d/vlan too. Thanks to Joerg Friedrich.
    Closes: #605232

 -- Didier Raboud <didier@raboud.com>  Mon, 29 Nov 2010 11:33:31 +0100

ifupdown-scripts-zg2 (0.3-4) unstable; urgency=low

  * remove debian/ifupdown-scripts-zg2.dirs which still created
    /var/lib/ifupown-scripts-zg2. Thanks to Mika Prokop. Closes: #530640

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 31 May 2009 09:02:44 +0200

ifupdown-scripts-zg2 (0.3-3) unstable; urgency=low

  * fix bug in migration code: make sure that
    /etc/network/run/ifupdown-scripts-zg2 aktually exists before we move
    files there. Thanks to Andras Barth. Closes: #529887

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 22 May 2009 20:26:32 +0200

ifupdown-scripts-zg2 (0.3-2) unstable; urgency=low

  * move statedir check from postinst to avoid ifupdown pre-depends.
    Thanks to Mika Prokop.
  * do statedir check without /usr.
  * add vlan to Suggests:

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 25 Apr 2009 08:12:50 +0200

ifupdown-scripts-zg2 (0.3-1) unstable; urgency=low

  * move ATM support to examples, I do not use ATM any more and cannot
    test.
  * acknowledge udev: We don't rename physical interfaces any more.
    Instead, we just refuse to take them up if the MAC address doesn't
    fit. Local admins need to establish their interface names via udev.
  * Pull set_bool_value from redirects to common-functions. Add proxy-arp
    script. Thanks to Hilko Bengen. Closes: #300755
  * move /var/lib/ifupdown-scripts-zg2 to /etc/network/run/ifupdown-scripts-zg2
    * rely on ifupdown to handle this directory properly
    * depend on ifupdown 0.6.7 or later
    * Closes: #367076
  * Take more care to not take down an active VLAN master interface
  * Check to take down master interface if last VLAN is taken down
  * Set master interface up before creating the VLAN.
    Thanks to Vincent Bernat. Closes: #514907
  * Factor out link up/down handling into a dedicated script
  * Handle bonding interfaces (code mostly untested).
    Thanks to Vincent Bernat. Closes: #514829
  * conditionally source /lib/lsb/init-functions
  * run only with PATH=/sbin:/bin
  * only use binaries from /bin and /sbin.
    Thanks to Kristine Daniels. Closes: #389495
  * replace `foo` constructs with $(foo)
  * run with set -u
  * eliminate == bashisms
  * modify package description to mention that other packages might
    offer similar features.
  * get rid of the TMPFILE stuff in common-functions, use sed -i
    instead.
  * try loading 8021q module befoe checking whether we have VLAN support
  * remove dh_installinit compatibility hack, we do not need to be
    backported to woody any more.
  * Apply patch from Hilko Bengen. Closes: #300752
  * use set -e in maintainer scripts instead of bash -e
  * run autoreconf with current autotools
  * add automake to Build-Depends
  * new FSF postal address
  * move init script to runlevel S
  * LSBize init script
  * Required-Start: checkroot, to be consistent with ifupdown
  * Document this in NEWS
  * Add example interfaces file. Thanks to Vincent Bernat. Closes: #514822
  * ACK Petter's NMU. Closes: #467491
  * Move Build-Depends-Indep to Build-Depends.
  * Add Homepage: field
  * Add ${misc:Depends} to binary deps
  * Standards-Version: 3.8.1 (no changes necessary)
  * debhelper compat level 7

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 22 Apr 2009 18:03:40 +0200

ifupdown-scripts-zg2 (0.2-2.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #467491).

 -- Petter Reinholdtsen <pere@debian.org>  Sat,  5 Apr 2008 22:33:50 +0200

ifupdown-scripts-zg2 (0.2-2) unstable; urgency=low

  * upload to unstable after pulling wrong version from CVS. Duh.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 13 Sep 2004 19:32:27 +0000

ifupdown-scripts-zg2 (0.2-1) experimental; urgency=low

  * 0.2-1 has suffered multiple rename origes and  will not cleanly
    upgrade from any 0.1 version. It is recommended to purge old
    versions before installing 0.2.
  * rename if.d directory to ifupdown-scripts-zg2.d.
  * fix copyright.
  * don't zap link dirs, only remove symlinks pointing to
    ifupdown-scripts-zg2.d. Sorry for this bad goof. Closes: #270237.
  * Only handle symlinks in subdirectories of /etc/network.
  * Choose names for symlinks that clearly show that this is our symlink.
  * Force symlink creation.
  * Add "no upstream" clause to debian/control.
  * add debugging hooks to maintainer scripts
  * change wrong if-pre-down to if-post-down.
  * don't link 00README files.
  * remove debian/conffiles.

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 12 Sep 2004 19:15:05 +0000

ifupdown-scripts-zg2 (0.1-2) experimental; urgency=low

  * move manpages from .8 to .1 to make lintian happy.
  * First public release

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 27 Jun 2004 17:58:23 +0000


