=== debian/control ===
Source: ifupdown-scripts-zg2
Section: net
Priority: optional
Maintainer: Marc Haber <mh+debian-packages@zugschlus.de>
Build-Depends: debhelper (>= 7.0.50~), automake
Standards-Version: 3.9.3
Homepage: http://ftp.debian.org/debian/pool/main/i/ifupdown-scripts-zg2/
Vcs-Git: git://git.debian.org/git/collab-maint/ifupdown-scripts-zg2.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ifupdown-scripts-zg2.git;a=summary

Package: ifupdown-scripts-zg2
Architecture: all
Depends: ${misc:Depends}, ifupdown (>= 0.6.7), iproute, debianutils (>= 1.6)
Suggests: vlan, ndisc6
Provides: ifupdown-scripts
Description: Zugschlus' interface scripts for ifupdown's manual method
 This package contains a set of scripts that are called by ifupdown.
 They use ifupdown's manual method. Compared to ifupdown's static
 method, the scripts contained in this package have the following
 advantages:
  - CIDR support
  - support for 802.1q VLAN tagging
  - built-in handling of static routes
 Additionally, the code needed to bring down an interface is generated
 on the fly when the interface is brought up. That way,
 /etc/network/interfaces changes made while the interface is up don't
 prevent it from being taken down, allowing "ifdown foo; ifup foo" to
 activate the changes.
 .
 This package is work in progress. Although being in productive use,
 it is still missing some features, especially regarding source
 routing, metrics etc. Please feel free to provide patches.
 .
 Many of this package's features are implemented in other packages
 nowadays. However, some features (such as generation of shutdown
 code at interface init time) are still unique to this package.
 .
 This package has its upstream sources maintained in the Debian
 project, so there is no upstream URL.
