=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installinit:
	dh_installinit --no-start --update-rcd-params="start 18 S ."
